global reindent, now with uncrustify hook enabled
[oweals/gnunet.git] / src / credential / test_credential_issue.sh
index b2ced204ad179fd67dd36e1ae92a4796e03b4ca3..f06de5d42bb8c701e15ade1c889ed2001f3f45d3 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 trap "gnunet-arm -e -c test_credential_lookup.conf" SIGINT
 
 LOCATION=$(which gnunet-config)
@@ -20,7 +20,7 @@ rm -rf `gnunet-config -c test_credential_lookup.conf -s PATHS -o GNUNET_HOME -f`
 #  (3) PKEY3.user -> PKEY4
 
 
-which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
+which timeout > /dev/null 2>&1 && DO_TIMEOUT="timeout 30"
 
 TEST_ATTR="test"
 gnunet-arm -s -c test_credential_lookup.conf
@@ -39,6 +39,6 @@ then
 fi
 #Try import
 $DO_TIMEOUT gnunet-namestore -a -z testsubject -n c1 -t CRED -V "$CRED" -e 5m -c test_credential_lookup.conf
-
+RES=$?
 gnunet-arm -e -c test_credential_lookup.conf
-exit $?
+exit $RES